<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
                              "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">
<faces-config>
 <managed-bean>
  <managed-bean-name>ajaxContext</managed-bean-name>
  <managed-bean-class>org.ajax4jsf.portlet.PortletAjaxContext</managed-bean-class>
  <managed-bean-scope>request</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>bean</managed-bean-name>
  <managed-bean-class>portal.Bean</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <navigation-rule>
  <from-view-id>/jsf/start.xhtml</from-view-id>
  <navigation-case>
   <from-outcome>repeater</from-outcome>
   <to-view-id>/jsf/repeater.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
 <navigation-rule>
  <from-view-id>/jsf/repeater.xhtml</from-view-id>
  <navigation-case>
   <from-outcome>start</from-outcome>
   <to-view-id>/jsf/start.xhtml</to-view-id>
  </navigation-case>
 </navigation-rule>
 <application>
  <view-handler>org.ajax4jsf.portlet.application.PortletViewHandler</view-handler>
  <!-- 
  <view-handler>com.sun.facelets.FaceletPortletViewHandler</view-handler>
   -->
 </application>
  <render-kit>    
    <renderer>
      <description>
        override the viewroot
      </description>
      <component-family>javax.faces.ViewRoot</component-family>
      <renderer-type>javax.faces.ViewRoot</renderer-type>
      <renderer-class>org.ajax4jsf.portlet.renderkit.portlet.PortletAjaxViewRootRenderer</renderer-class>
    </renderer>
  </render-kit>
</faces-config>
